# Minimum audacious/audacious-plugins version in inter-package
# dependencies. We have 1.5.1 for both, so we enforce 1.5.1.
%define aud_ver 1.5.1

Name:           audacious
Version:        1.5.1
Release:        11%{?dist}
Summary:        GTK2 based media player similar to XMMS

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://audacious-media-player.org/

Source0:        http://distfiles.atheme.org/audacious-%{version}.tgz
Patch0:         audacious-1.5.1-xmms-skins.patch
#Patch1:         audacious-1.5.1-default-skin.patch
Patch10:        audacious-1.5.1-libsad-header.patch
Patch11:        audacious-1.5.1-playlist-length.patch
Patch12:        audacious-1.5.1-playlist-play-clicked.patch
Patch13:        audacious-1.5.1-desktop-name.patch
Patch14:        audacious-1.5.1-tuple_get_int-assertion.patch
Patch15:        audacious-1.5.1-pulseaudio-by-default.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  zlib-devel, desktop-file-utils >= 0.9
BuildRequires:  libglade2-devel >= 2.4
BuildRequires:  gettext
BuildRequires:  mcs-devel >= 0.7
BuildRequires:  libmowgli-devel >= 0.4
BuildRequires:  dbus-devel >= 0.60, dbus-glib-devel >= 0.60

# disabled by default
BuildRequires: libsamplerate-devel

Requires:       audacious-plugins >= %{aud_ver}

# last tagged f8-final
Provides:       audacious-docklet
Obsoletes:      audacious-docklet < 0.1.1-3

# Skin packages can require this from xmms and all GUI compatible players
Provides:       xmms-gui

%description
Audacious is a media player that currently uses a skinned user interface
based on Winamp 2.x skins. It is based on ("forked off") BMP.


%package        libs
Summary:        Library files for the Audacious media player
Group:          System Environment/Libraries

%description    libs
Library files for the Audacious media player.


%package        devel
Summary:        Development files for the Audacious media player
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       glib2-devel, gtk2-devel >= 2.6, libglade2-devel >= 2.4
Requires:       mcs-devel
Requires:       libmowgli-devel
Requires:       pkgconfig
Requires:       dbus-glib-devel >= 0.60

%description    devel
Files needed when building software for the Audacious media player.


%prep
%setup -q

# Read xmms skins directory
%patch0 -p1 -b .xmms-skins

# Use bluecurve as default skin (from package "bluecurve-xmms-skin")
#patch1 -p1 -b .default-skin

# Remove libSAD references from the public headers
%patch10 -p1 -b libsad-header

# Fix segfaults if no playlist exists
%patch11 -p1 -b playlist-length

# When passing a file on the command line, play the file, not the first playlist entry
%patch12 -p1 -b playlist-play-clicked

# /usr/bin/audacious looks for the fedora-audacious.desktop file
%patch13 -p1 -b .desktop-name

# was scheduled for 1.5.2
%patch14 -p1 -b .tuple_get_int-assertion

%patch15 -p1 -b .pulseaudio-by-default
sed -i -e 's!__RPM_LIBDIR__!%{_libdir}!g' src/audacious/audconfig.c

sed -i '\,^.SILENT:,d' buildsys.mk.in

%build
%configure \
    --enable-samplerate \
    --disable-rpath \
    --enable-chardet \
    --enable-dbus \
    --disable-sse2 \
    --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}

desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
    --delete-original \
    --remove-mime-type audio/x-scpls \
    --remove-mime-type audio/x-mpegurl \
    --remove-mime-type audio/mpegurl \
    --remove-mime-type audio/mp3 \
    --remove-mime-type audio/x-mp3 \
    --remove-mime-type audio/mpeg \
    --remove-mime-type audio/x-mpeg \
    --remove-mime-type audio/x-wav \
    --remove-mime-type application/x-ogg \
    --remove-category Application \
    $RPM_BUILD_ROOT%{_datadir}/applications/audacious.desktop

install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/audacious
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/audacious.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT%{_includedir}/libSAD


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/audacious
%{_bindir}/audtool
%{_datadir}/audacious/
%{_mandir}/man[^3]/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/audacious/
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/audacious/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sun Sep 13 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.1-11
- Fix playlist tuple_get_int assertion (#522995).
- Default to pulseaudio output plugin.
- Prune obsolete/unapplied patches.

* Sat Sep 12 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.1-10
- Build with --enable-samplerate (off by default), BR libsamplerate-devel

* Fri Jun  5 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.5.1-9
- update post/postun/posttrans scriptlets to match guidelines
- drop BR GConf2-devel
- drop obsolete configure options
- drop ancient Obsoletes/Provides for BMP
- minor spec updates

* Thu Jun  4 2009 Michael Schwendt <mschwendt@fedoraproject.org>
- Patch /usr/bin/audacious to find fedora-audacious.desktop file.

* Fri May 01 2009 Ralf Ertzinger <ralf@skytale.net> 1.5.1-8
- Fix for "segfault with no playlist present" (BZ#475691)
- Fix for broken playlist handling (BZ#475691), patch from
  http://launchpadlibrarian.net/19179891/audacious_1.5.1-3ubuntu1.1.debdiff

* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 1.5.1-7
- Add "xmms-gui" provides, to be required from xmms-skins package (#470135).

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 17 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-5
- Disable SSE2

* Mon Oct 13 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-4
- Remove lingering references to libSAD from the installed
  headers

* Sat Sep 06 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-3
- Remove libSAD headers from devel package, they were not meant
  to be public

* Fri Jun 27 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-2
- Add Requires: dbus-glib-devel to audacious-devel

* Sat Jun 07 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-1
- Update to 1.5.1

* Mon Apr 07 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.0-1
- Update to 1.5.0

* Mon Feb 11 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.6-1
- Update to 1.4.6

* Sat Dec 29 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.5-1
- Update to 1.4.5

* Mon Dec 03 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.4-1
- Update to 1.4.4

* Sat Dec 01 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-3
- Add patch to fix streams sometimes being left open
- Obsolete: audacious-docklet

* Thu Nov 19 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-2
- Update to 1.4.2

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.3.2-3
- Rebuild for selinux ppc32 issue.

* Sat Aug 25 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-2
- Clarify License: tag

* Sat Apr 07 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-1.fc7
- Update to 1.3.2

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-2.fc7
- Add missing Requires: to -devel package

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-1.fc7
- Update to 1.3.1
- Rebase still necessary patches

* Sun Dec 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-2.fc7
- Remove audacious-1.1.1-controlsocket-name.patch due to request
  from upstream, xmms and audacious are not entirely compatible

* Sun Nov 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-1.fc7
- Update to 1.2.2

* Sun Nov 26 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.1-1.fc7
- Update to 1.2.1
- Split off libaudacious into a separate package to handle the
  (now externally provided and built) plugins better

* Wed Oct 18 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-2.fc6
- Add Obsoletes/Provides for BMP

* Wed Sep 06 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-1.fc6
- Update to 1.1.2

* Thu Aug 17 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-6.fc6
- Another go at the %%20 problem

* Mon Aug 14 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-4.fc6
- Fix %%20 in playlist entries

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-3.fc6
- Bump for rebuild

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-2.fc6
- Change the name of the control socket to "xmms" instead of
  audacious. This makes programs that remote control xmms
  (and compatibles) work.

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-1.fc6
- Update to 1.1.1
- Drop amidi path patch
- Add shaded playlist skin patch (seems like audacious needs it,
  too)

* Fri Jul 21 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-1.fc6
- Update to 1.1.0 final
- Rediff some patches

* Sun Jul 9 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.2.dr2.fc6
- Fix quoting of filenames

* Thu Jun 29 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.1.dr2.fc6
- Fixed version for Extras review
  - Build OSS, arts and jack output plugins
  - Split esd, arts and jack into separate packages
  - Fix rpath issue
  - Fix absolute symlinks

* Sat Jun 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.0.dr2.fc6
- Initial build for Fedora Extras
